#
# spec file for package parole
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           parole
Version:        0.8.0
Release:        4.2
Summary:        Modern, Simple Media Player for the Xfce Desktop Environment
License:        GPL-2.0+
Group:          Productivity/Multimedia/Video/Players
Url:            http://goodies.xfce.org/projects/applications/parole
Source0:        http://archive.xfce.org/src/apps/parole/0.8/%{name}-%{version}.tar.bz2
# PATCH-FEATURE-UPSTREAM parole-add-uri-scheme-handler-support.patch gber@opensuse.org -- Adds support for URI scheme handlers
Patch1:         parole-add-uri-scheme-handler-support.patch
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-base-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gstreamer-video-1.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libxfce4ui-2)
BuildRequires:  pkgconfig(libxfce4util-1.0)
BuildRequires:  pkgconfig(libxfconf-0)
BuildRequires:  pkgconfig(taglib)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Recommends:     %{name}-lang = %{version}
Requires:       gstreamer-plugins-base
Requires:       gstreamer-plugins-good

%description
Parole is a modern simple media player based on the GStreamer framework and
written to fit well in the Xfce desktop. Parole features playback of local
media files, DVD/CD and live streams.  Parole is extensible via plugins, for a
complete how to write a plugin for Parole see the Plugins API documentation and
the plugins directory which contains some useful examples.

%package devel
Summary:        Development Files for Parole
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       pkgconfig(glib-2.0)
Requires:       pkgconfig(gtk+-3.0)
Requires:       pkgconfig(libxfce4util-1.0)

%description devel
This package contains development files for developing plugins for parole.

%lang_package

%prep
%setup -q
%patch1 -p1

%build
# the plugin documentation does not build
%configure \
    --enable-gtk-doc
make %{?_smp_mflags} V=1

%install
%make_install

find %{buildroot} -type f -name "*.la" -delete -print

%suse_update_desktop_file -G "Parole Media Player" %{name}

%find_lang %{name} %{?no_lang_C}

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_bindir}/parole
%{_datadir}/applications/parole.desktop
%{_datadir}/icons/hicolor/*/apps/parole*.png
%{_datadir}/icons/hicolor/*/apps/parole*.svg
%{_datadir}/icons/hicolor/scalable/apps/parole.svg
%dir %{_datadir}/appdata
%{_datadir}/appdata/parole.appdata.xml
%{_datadir}/parole/
%{_libdir}/parole-0/

%files lang -f %{name}.lang
%defattr(-,root,root)

%files devel
%defattr(-,root,root,-)
%{_includedir}/parole/
%doc %{_datadir}/gtk-doc/html/Parole-Plugins/

%changelog
* Sat Feb 28 2015 gber@opensuse.org
- update to version 0.8.0
  - increased required intltool version (0.35) (bxo#11180)
  - use libxfce4ui's versioned help call for the documentation
  - fallback to GStreamer 0.10 at build time if 1.0 is not
    available (bxo#11053)
  - fix build with GStreamer 0.10 (bxo#11052)
  - show preview text in the font selection dialog (bxo#11425)
  - clear startup notification when already running (bxo#11487)
  - translation updates
* Thu May  1 2014 gber@opensuse.org
- update to version 0.6.1
  - properly use specified device, use correct URI (lp#1098323)
  - completed port to GTK+3
  - remove deprecated GTK+2 items
  - use GtkOverlay for player controls
  - use symbolic icons for menus, plugins
  - improved window maximization
  - window dimensions are no longer saved when maximizing
  - added "window-maximized" setting to xfconf to keep
    maximization across sessions
  - rearranged and improved menubar
  - renamed "Edit" menu to "Playback"
  - renamed "Languages" menu item to "Audio Track"
  - added Tools menu
  - moved Plugins and Preferences to Tools menu
  - added DVD menu (visible only when a DVD or DVD ISO is being
    played)
  - added "Save Playlist" item to Media menu
  - added "Contents" item to Help menu
  - added "Report Bug" item to Help menu
  - improved playlist
  - use symbolic icons in an inline toolbar
  - removed redundant settings button
  - added Move Up/Down buttons
  - improved search
  - plugin updates
  - added Previous/Next Track menu items to Tray plugin
  - added Previous/Next Track menu items to Notification plugin
  - added NEW MPRIS2 plugin
  - other improvements
  - updated artwork (background image, icons)
  - fixed GStreamer 1.0 support
  - added ability to play DVD ISOs from the Open dialog
  - plugins now correctly report when they fail to load
  - plugin API documentation updates
  - bugs fixed
  - fixed missing option to open DVD from iso (bxo#10300)
  - fixed allowing a playlist to be sorted and/or items to be
    moved (bxo#10066)
  - fixed Remember playlist option in GUI not working (bxo#10269)
  - fixed Parole showing irritating edge (bxo#10081)
  - fixed untranslatable strings (bxo#10418)
  - fixed loading of playlists with relative paths (bxo#10436)
  - added realmedia video to supported video mimetypes
    (bxo#10434)
  - fixed IF/ELSE for plugin installation on multiple platforms
    (bxo#10142, bxo#10441)
  - fixed building with enable-debug=full on some platforms
    (bxo#10525)
  - fixed crash for m3u files with all absolute paths
  - fixed "Remove Duplicates" functionality.
* Thu Dec  5 2013 lazy.kent@opensuse.org
- Update to 0.5.4.
  * Bugfix release.
  * Fix loading of playlists with relative paths.
  * Fix file-filters for audio/video mimetypes.
  * Fix IF/ELSE for plugin installation on multiple platforms.
  * Fix "Remove Duplicates" functionality.
- Add GenericName to the desktop file
  (using suse_update_desktop_file macro).
- Fix runtime dependencies for openSUSE >= 12.3:
  gstreamer010-plugins-* -> gstreamer-plugins-*.
- Don't remove any locale files: find_lang macro does itself if
  founds them wrong.
- Remove "clean" section from the spec.
- Fix dependencies for the devel package.
* Mon Oct 21 2013 lazy.kent@opensuse.org
- Update to 0.5.3.
  * Bugfix release.
  * Fix “Remember playlist” option in GUI not working.
  * Added accelerator to Audio menu item.
  * Fix remembered playlist not being forgotten when setting
    disabled.
- Mark Parole Plugins Manual as doc.
* Thu Jul 25 2013 gber@opensuse.org
- update to version 0.5.2
  - revert "Fix MKV subtitles being shown when automatically show
    subtitles is disabled"
  - fix freezing on load of some subtitles
  - fix crash on startup when "Remember playlist" option enabled
  - fix muting after playing media
  - fix failure to load filenames with space after colon
  - fix gstreamer version check
* Mon Jun  3 2013 gber@opensuse.org
- update to version 0.5.1
  - fix m3u playlist processing with relative filenames
  - fix playlist controls disabling access to media controls
  - fix next-button ignoring shuffle mode
  - prevent shuffle from playing the same song twice in a row
  - fix MKV subtitles being shown when automatically show subtitles
    is disabled
* Thu Mar  7 2013 gber@opensuse.org
- update to version 0.5.0
  - fixed potential file name clash in parole extension
  - fixed libnotify error on make
  - fixed moving show/hide playlist button
  - fixed mute button toggling
  - fixed playlist manipulation while playlist hidden
  - fixed webm file support
  - fixed aspect ratio calculation
  - fixed untranslateable strings
  - fixed timer update on user seek
  - fixed auto-saved playlist saving as UTF-8
  - fixed playlist menu from opening off-screen
  - fixed notifications plugin notifying on play/pause
  - added improved locale name support in audio tracks and
    subtitles
  - added gstreamer 1.0 support with --with-gstreamer=0.10|1.0
  - added additional tooltips
  - added theming to fullscreen widgets
  - removed now-useless power-manager plugin
  - removed scrollwheel event from progress scale
  - improved audio cover image loading
  - improved support for window manager fullscreen command
  - improved tray plugin functionality, ported to xfconf
  - made codec installer transient for player window
  - moved playlist to .local/share/xfce4/parole
* Tue Jan 15 2013 gber@opensuse.org
- update to version 0.4.0
  - fixed fullscreen controls
  - fixed screensaver inhibition
  - fixed freezing with subtitles
  - fixed skipping every second ogg-vorbis in playlist
  - added embedded mode
  - added missing codec installation
  - added custom subtitle management
  - added CD and DVD playlist support
  - added DVD navigation support
  - added Recent Items in open menu
  - replaced Stream Properties plugin with AudioBox widget
  - moved notifications from system tray plugin to notify plugin
  - added album artwork and details to notifications
  - ported configuration to Xfconf
  - interface refinements
  - keyboard shortcut refinements
* Wed Aug 22 2012 gber@opensuse.org
- update to version 0.3.0.3
  - fixed and fully tested --enable-gtk-doc, --enable-debug=yes,
  - -enable-debug=full
  - fixed CD-Drive icon disappearing after drive eject
  - small interface tweaks to Plugins dialog
* Sat Aug 18 2012 gber@opensuse.org
- update to version 0.3.0.2
  - maintenance release
  - updated build requirements
  - fixed installation directory for plugins
  - fixed compilation of plugin api
  - fixed compilation of debug=yes and debug=full
  - fixed compiling twice
- dropped obsolete parole-fix-plugin-installation.patch and
  parole-misc-fixes.patch
* Fri Aug 10 2012 gber@opensuse.org
- added parole-misc-fixes.patch with a range of fixes for missing
  includes and prototypes, return statements, removal of unused
  code and variables (backported from upstream git)
* Thu Aug  9 2012 gber@opensuse.org
- update to version 0.3.0
  - replaced libxfce4gui dependencies with libxfce4ui
  - upgraded GTK interface to GTK 2.20+
  - revamped, minimalistic interface
  - replaced playbin with playbin2
  - improved subtitle/audio track handling
  - improved keyboard shortcuts
  - updated application icon
  - added command line option to enqueue files
  - cleared warnings due to deprecated functions
  - fixed many of the existing bugs
- removed obsolete parole-fix-linking.patch
- added parole-fix-plugin-installation.patch in order to fix the
  installation directory for plugin desktop files (backported from
  upstream git)
- disabled plugin documentation which currently does not build
* Sun Apr  1 2012 gber@opensuse.org
- specfile cleanup
- corrected dependencies
- merged parole-0.2.0.2-fix-lib-linking-order.patch into
  parole-fix-linking.patch
* Sat Aug 27 2011 gber@opensuse.org
- update to version 0.2.0.6
  - automatically select row for the media that is currently played
- added parole-fix-linking.patch in oder to fix an underlinking
  issue
- removed obsolete parole-0.2.0.5-missing-files.patch
* Sat Apr 16 2011 gber@opensuse.org
- update to version 0.2.0.5
  - dropped support for the browser plugin.
  - compatibility with newer gstreamer versions
  - add some nice features from the new version, like media
    tooltips, open containing folder, media length
  - better chooser interface
  - added -F --fullscreen to start in fullscreen mode
  - bugfixes
  - translation updates
- dropped obsolete
  parole-0.2.0.2-remove-x-totem-stream-mime-type.patch, and
  parole-0.2.0.2-do-not-hardcode-cxxflags.patch
- added parole-0.2.0.5-missing-files.patch which adds files from
  the upstream repo which are missing in the tarball
* Thu Feb 17 2011 gber@opensuse.org
- call %%desktop_database_post/un
- call %%icon_theme_cache_post/un
* Mon Jan 31 2011 gber@opensuse.org
- added parole-0.2.0.2-add-uri-scheme-handler-support.patch which
  adds URI scheme handler support
- minor cleanup
* Sun Dec 26 2010 gber@opensuse.org
- added parole-0.2.0.2-remove-x-totem-stream-mime-type.patch in
  order to address http://bugzilla.xfce.org/show_bug.cgi?id=6708
* Fri Dec 24 2010 gber@opensuse.org
- enabled plugin API documentation
- show compiler output
- corrected category
- remove unsupported locales
- improved summary/description
- require gstreamer plugins
- added parole-0.2.0.2-fix-lib-linking-order.patch in order to fix
  the library linking order for ld --as-needed
- added parole-0.2.0.2-do-not-hardcode-cxxflags.patch in order to
  make the browser plugin honor CXXFLAGS
* Mon Nov  8 2010 prusnak@opensuse.org
- require correct xulrunner version
* Tue Feb  2 2010 prusnak@suse.cz
- updated to 0.2.0.2
* Wed Jan 13 2010 prusnak@suse.cz
- updated to 0.2.0
* Wed Dec  2 2009 prusnak@suse.cz
- updated to 0.1.99
* Thu Nov 26 2009 prusnak@suse.cz
- updated to 0.1.96
* Fri Nov 13 2009 prusnak@suse.cz
- created package (0.1.91)
